### AUTOUPDATE-OFF: 1
Name:          libmhgui
Version:       0.2
Release:       2mamba
Summary:       A graphical user interface library for makehuman
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.makehuman.org
Source:        http://downloads.sourceforge.net/sourceforge/makehuman/mhgui-%{version}.tar.gz
Patch0:        libmhgui-0.2-libpng-1.6.patch
License:       LGPL
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libGL-devel
BuildRequires: libGLU-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXi-devel
BuildRequires: libXmu-devel
BuildRequires: libanimorph-devel
BuildRequires: libfreeglut-devel
BuildRequires: libgcc
BuildRequires: libpng-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END

%description
A graphical user interface library for makehuman.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
A graphical user interface library for makehuman.

This package contains static libraries and header files need for development.

%prep
%setup -q -n mhgui-%{version}
%patch0 -p1

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall
rm -rf %{buildroot}%{_prefix}/doc

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/libmhgui.so.*
%doc AUTHORS COPYING TODO

%files devel
%defattr(-,root,root)
%dir %{_includedir}/mhgui
%{_includedir}/mhgui/*.h
%{_libdir}/libmhgui.a
%{_libdir}/libmhgui.la
%{_libdir}/libmhgui.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Sat May 09 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2-2mamba
- rebuild with libpng 1.6

* Sun Jun 07 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2-1mamba
- update to 0.2

* Wed Oct 10 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1-1mamba
- package created by autospec
